.pricing-table {
    display: grid;
    grid-template-columns: 2fr repeat(3, 1fr);
    grid-auto-rows: minmax(40px, auto);
    grid-column-gap: 8px;
    grid-row-gap: 8px;
    position: relative;
}

.header {
    display: grid;
    grid-template-columns: 2fr repeat(3, 1fr);
    grid-column-gap: 8px;
    grid-column: 1 / -1;
    z-index: 10;
}

.bs-label {
    grid-area: 1 / 3 / 2 / 4;
    text-align: center;
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    line-height: 20px;
    font-weight: 700;
    color: white;
    padding: 6px;
    margin-bottom: 4px;
    background: #005771;
    border-radius: 4px 4px 0 0;
}

.header-spacer { grid-area: 2 / 1 / 2 / 2; }

.header-cell {
    grid-row: 2 / 2;
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    line-height: 20px;
    font-weight: 700;
    color: white;
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 0px;
    justify-content: center;
    align-items: center;
    border-radius: 4px 4px 0 0;
    padding: 16px 10px;
    border-bottom: 8px solid #fff;
}

.header-cell p {
    margin: 0;
}

.header-cell .level-label {
    font-size: 14px;
    font-weight: 500;
}

.header-1 { background-color: #87C6BE; }
.header-2 { background-color: #005771; border-radius: 0; }
.header-3 { background-color: #44A8B5; }

.section-header {
    grid-column: 1 / -1;
    font-family: 'Montserrat', sans-serif;
    font-size: 20px;
    font-weight: 700;
    text-transform: uppercase;
    padding: 10px;
    text-align: left;
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.section-2, .section-3 {
    margin-top: 8px;
}

.section-header.section-1 { color: #87C6BE; }

.section-header.section-2 { color: #005771; }

.section-header.section-3 { color: #44A8B5; }

.row-spacer-3 { grid-area: 14 / 1 / 15 / 5; }

.row {
    display: contents;
}

.row:nth-of-type(odd) .line-label,
.row:nth-of-type(odd) .cell {
    background-color: #e2e2e2;
}
.row:nth-of-type(even) .line-label,
.row:nth-of-type(even) .cell {
    background-color: #f0f0f0;
}

.row .cell:nth-child(3) {
    background-color: #005771;
    color: white;
}

.row .cell:nth-child(4) {
    border-radius: 0 4px 4px 0;
}

.row .cell.highlight {
    font-size: 18px;
}

.line-label {
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    font-weight: 700;
    text-align: left;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    border-radius: 4px 0 0 4px;
    padding: 16px 10px;
}

.line-label.highlight {
    justify-content: center;
    font-size: 22px;
}

.cell {
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    font-weight: 700;
    color: #005771;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
}


@media screen and (max-width: 1023px) {
    .section-header {
        font-size: 16px;
    }

    .line-label,
    .cell {
        font-size: 14px;
    }
}

@media screen and (max-width: 766px) {
    .pricing-table {
        font-size: 14px;
        grid-template-columns: repeat(3, 1fr);
    }

    .header {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        grid-column-gap: 4px;
        grid-column: 1 / -1;
        top: 95px;
    }

    .bs-label {
        grid-area: 1 / 2 / 2 / 3;
        font-size: 14px;
    }

    .header-spacer {
        display: none;
    }

    .header-cell, .line-label, .cell, .section-header {
        padding: 8px;
        font-size: 14px;
    }

    .header-cell .level-label {
        font-size: 12px;
    }

    .row {
        display: grid;
        grid-column: 1 / -1;
        grid-template-columns: repeat(3, 1fr);
        grid-column-gap: 4px;
        grid-row-gap: 4px;
    }

    .row .line-label {
        grid-column: 1 / -1;
        border-radius: 4px 4px 0 0;
    }

    .row .cell:nth-child(2) {
        border-radius: 0 0 0 4px;
    }

    .row .cell:nth-child(4) {
        border-radius: 0 0 4px 0;
    }
}